import { Transpiler } from 'stryker-api/transpile';
import { File, StrykerOptions } from 'stryker-api/core';
import BabelConfigReader from './BabelConfigReader';
import { Injector, TranspilerPluginContext } from 'stryker-api/plugin';
export declare function babelTranspilerFactory(injector: Injector<TranspilerPluginContext>): BabelTranspiler;
export declare namespace babelTranspilerFactory {
    var inject: ["$injector"];
}
export declare class BabelTranspiler implements Transpiler {
    private readonly babelOptions;
    private readonly projectRoot;
    static inject: ["options", "produceSourceMaps", "babelConfigReader"];
    constructor(options: StrykerOptions, produceSourceMaps: boolean, babelConfigReader: BabelConfigReader);
    transpile(files: ReadonlyArray<File>): Promise<ReadonlyArray<File>>;
    private transpileFileIfNeeded;
    private transpileFile;
    private determineProjectRoot;
}
//# sourceMappingURL=BabelTranspiler.d.ts.map